#include "common.h"
#include "psl.h"
//#include "jksql.h"

int pslOrthoScore(const struct psl *psl)
/** Return score for psl. */
{
return 3*psl->match + (psl->repMatch>>1) - psl->misMatch - psl->qNumInsert
  - psl->tNumInsert;
}



int main(int argc, char *argv[])
{
struct psl *pslList = NULL;
int score = 0;
int minsize = 0;
int match = 0;
int mismatch = 0;
struct psl *tail = NULL;
if  (argc != 2)
{
    printf("scoreOrtho - Score Orthologs\n"
    "usage:\n"
    "    scoreortho pslfile\n");
    exit(1);
};

pslList = pslLoadAll(argv[1]);
if (pslList == NULL)
{
	printf("empty list\n");
}
printf("name is %s matches %d Qstart %d\n", pslList->qName, pslList->match, pslList->qStart);
score = pslOrthoScore(pslList);
printf("score is %d\n",score);
for(tail=pslList; tail != NULL ; tail=tail->next)
	{
	if (tail->next == NULL)
		break;
	score = pslOrthoScore(tail);
    minsize = (tail->qSize - tail->tSize) < 0 ? tail->qSize : tail->tSize;
    match = tail->match;
    mismatch = tail->misMatch;
    printf("%s\t%s\t%d\t999\t999\t%d\t%3.2f\t%3.2f\t\%3.2f\t%3.2f\t%d\t%d\n", tail->tName, tail->qName, score, tail->blockCount,
        (float)match/(float)(match+mismatch), (float)(match+mismatch)/minsize,
        (float)(match+mismatch)/(tail->tSize),(float)(match+mismatch)/(tail->qSize),tail->tSize,tail->qSize);
	}
return(0);
}
